Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 01/20/2020 in all areas

  1. You are correct about wipeout the only thing is you need to use draw order. So its, Block1 wipeout block2. Ok the problem wipeout does not support an arc, but you can facet an arc so wipeout still works. See lisp. Provide a dwg sample, looking at above though you would use bpoly to make a series of plines explode then trim guts out, convert arc to facets than pline again and wipeout. It maybe able to be automated somewhat. The big hint copy block to right a fixed amount and work on it there, then move wipeout only back. Arc-to chords.lsp
    1 point
  2. Try something like this .. no error checking. (defun _matchatts (b1 b2 / a) (setq a (vlax-vla-object->ename b2)) (foreach x (vlax-invoke b1 'getattributes) (setpropertyvalue a (vla-get-tagstring x) (vla-get-textstring x)) ) ) (vlax-for x (setq ss (vla-get-activeselectionset *acaddoc*)) (setq temp (vla-copy blk)) (mapcar (function (lambda (p) (vl-catch-all-apply (function vlax-put-property) (list temp p (vlax-get-property x p))) ) ) '(insertionpoint rotation) ;something like "Attributes" or "REF" in here..?? ) (_matchatts x temp) (vla-delete x) )
    1 point
  3. @MoAEC You cannot "Open" ARX files - they are complied binary programs similar to a DLL or EXE file. You need to have the source code from the author to edit them and an IDE to recompile them. PS - ARX files are not written in AutoLISP or Visual LISP. They are written in C code. Also - Compiled Visual LISP files have either a FAS or VLX extension and operate the same way - you must have the source code (lsp files) to edit them.
    1 point
  4. Like tombu just set your osnaps to what you want then type osmode and write down the number. I have all my defun snaps set to a number rather than a hard to type string ie 47 (defun c:47 ()(setvar 'osmode 47)) I have like 4 in total. 99=1023 Something else you can do is shift+right button mouse to do temporary osnap. The other thing is you can do transparent changes within commands by using eg Line pick '47 pick, note the single apostrophe. Look into 'cal as well has some good routines. M2P also.
    1 point
×
×
  • Create New...